Subject: [PATCH v3 0/2] Work around flakiness in t5500.43

From: "Johannes Schindelin via GitGitGadget" <[email-masked]>
Date: Mon, 26 Oct 2020 16:09:13 +0000

It seems that this test became flaky only recently, although I have to admit
that I have no idea why: the involved code does not seem to have changed
recently at all. It should have been fixed by 
https://lore.kernel.org/git/[email-masked]/
, but apparently wasn't completely fixed, despite what I said in that
thread.

Changes since v2:

 * Dropped patch 3/3 because it was only intended to be defensive
   programming, but turned out to be too hard without layering violations.

Changes since v1:

 * Instead of papering over the underlying cause, the patch was completely
   changed to actually fix the bug and add a proper regression test for it
   (originally, I wanted to act according to the common notion that good
   programmers are lazy, oh my, see how well that worked out for me).
 * We now specifically watch out for future bugs where incomplete sideband
   messages would be dropped inadvertently rather than being reported at EOF
   or at encountering a flush/error packet.
 * Before sending 0-length data to demultiplex_sideband(), we now make sure
   that it is not marked as a data packet; Otherwise we now complain loudly
   about a bug.

Johannes Schindelin (2):
  sideband: avoid reporting incomplete sideband messages
  sideband: report unhandled incomplete sideband messages as bugs

 pkt-line.c               |  3 +++
 sideband.c               |  2 +-
 t/helper/test-pkt-line.c | 23 +++++++++++++++++++++++
 t/t0070-fundamental.sh   |  6 ++++++
 4 files changed, 33 insertions(+), 1 deletion(-)

base-commit: d4a392452e292ff924e79ec8458611c0f679d6d4
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-753%2Fdscho%2Funflake-t5500.43-v3
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-753/dscho/unflake-t5500.43-v3
Pull-Request: https://github.com/gitgitgadget/git/pull/753

Range-diff vs v2:

 1:  e4ba96358b = 1:  e4ba96358b sideband: avoid reporting incomplete sideband messages
 2:  9ffcc5b78e = 2:  9ffcc5b78e sideband: report unhandled incomplete sideband messages as bugs
 3:  c61e560451 < -:  ---------- sideband: add defense against packets missing a band designator

-- 
gitgitgadget